<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
*/
interface Wact_Html_Sax_Handler {

    function startDocument(Wact_Html_Sax_Locator $locator, $encoding);

    function endDocument();

    function characters($data);

    function startElement($name, $attrs);

    function endElement($name);

    function emptyElement($name, $attrs);

    function cdata($data);

    function comment($data);
  
}

?>